<!doctype html>  
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<title>
	<?php if (is_home()) {
		echo bloginfo('name');
	} elseif (is_category()) {
		echo __('Category &lsaquo; ', 'blank'); wp_title('&lsaquo; ', TRUE, 'right');
		echo bloginfo('name');
	} elseif (is_tag()) {
		echo __('Tag &lsaquo; ', 'blank'); wp_title('&lsaquo; ', TRUE, 'right');
		echo bloginfo('name');
	} elseif (is_search()) {
		echo __('Search results &lsaquo; ', 'blank');
		echo the_search_query();
		echo '&lsaquo; ';
		echo bloginfo('name');
	} elseif (is_404()) {
		echo '404 '; wp_title(' &lsaquo; ', TRUE, 'right');
		echo bloginfo('name');
	} else {
		echo wp_title(' &lsaquo; ', TRUE, 'right');
		echo bloginfo('name');
	} ?>
	</title>
	 
	<meta name="description" content="<?php bloginfo('description'); ?>" />	

	<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/favicon.ico" />	
	
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />	
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0">
			
	<!--[if IE 7]>
	<link href="<?php echo get_template_directory_uri(); ?>/style_ie7.css" rel="stylesheet" type="text/css" />  
	<![endif]-->
	<!--[if IE 8]>
	<link href="<?php echo get_template_directory_uri(); ?>/style_ie8.css" rel="stylesheet" type="text/css" />  
	<![endif]-->
	<!--[if IE 9]>
	<link href="<?php echo get_template_directory_uri(); ?>/style_ie9.css" rel="stylesheet" type="text/css" />  
	<![endif]-->
	
	<!--[if lt IE 9]>
	<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->	
	
	<?php wp_enqueue_script('jquery'); ?>
	<?php wp_enqueue_script('superfish', get_template_directory_uri() . '/js/superfish.js'); ?>	
	<?php wp_enqueue_script('formalize', get_template_directory_uri() . '/js/jquery.formalize.min.js'); ?>
	<?php wp_enqueue_script('tinynav', 	 get_template_directory_uri() . '/js/tinynav.js'); ?>
	
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,300,600,700' rel='stylesheet' type='text/css'>
	
	<?php wp_head(); //leave for plugins ?>
	
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	<!-- enables nested comments in WP 2.7 -->
	
	<script type="text/javascript">

		jQuery(document).ready(function($) {
										
			$('nav ul').superfish(); 
			
			//clear search on click
			defaultValue = jQuery('#Searchform').val();  
			jQuery('#Searchform').click(function() {
				if( this.value == defaultValue ) {
					jQuery(this).val("");
				}
			});
			
			//tinyNav
		    jQuery('#menuUl').tinyNav({
		        active: 'selected'
		    });
			$('html').addClass('js');
			
		});
			
	</script>
	
	<?php $link_color = get_option('link_color', '#56B33D'); ?>
	<?php $head_text_color = get_header_textcolor(); ?>
	<?php $heading_color = get_option('head_color', '#000000'); ?>

	<style type="text/css" id="custom-colour-css">
		.dets ul a, .content a, footer a:hover { color:  <?php echo $link_color; ?>; } 
		#logoContainer h1, #logoContainer h1 a{ color:  #<?php echo $head_text_color; ?>;  }
		#logoContainer p{ color:  #<?php echo $head_text_color; ?>;  } 
		article .dets h2 a, h1, h2, h3{ color:  <?php echo $heading_color; ?> ;  }		
	</style>

</head>

<body <?php body_class(); ?>>
	
	<div id="wrapper_border" class="center" >
					
		<!--logo-->
		<div id="logoContainer"> 
			<h1 id="responsive_headline"><a href="<?php echo home_url(); ?>"> <?php echo get_option('header_text', 'Alpine'); ?></a></h1>
			<p><?php echo get_option('sub_header_text', 'Edit me in the Theme Customizer'); ?></p>				
		</div>		
								
		<div id="wrapper_bg" class="center" >
			
			<div id="navwrap">
				
				<div id="navwrap2">		
	
					<nav>
						<?php wp_nav_menu(array('menu' => 'top', 'container' => 0, 'menu_id' => 'menuUl', 'items_wrap' => '<ul id="%1$s" class="%2$s"><li>&nbsp;</li>%3$s<li>&nbsp;</li><li class="filler"></li></ul>' )); ?>					
					</nav>
					
				</div>			
			
			</div>

			<?php 
			
			if ( is_singular() && has_post_thumbnail( $post->ID ) ) : 
				
				$image_array = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID) , 'full' );
				$image = $image_array[0];
					 
			else :
			
				$image = get_header_image();
				
			endif;
			?>
			
			<?php if ( $image && !is_page_template('page-gallery.php')  ) : ?>
				<header>
					<img class="size-full" src="<?php echo $image; ?>"  alt="" />
				</header>
			<?php endif; ?>